﻿.mdc-button--raised {
    min-width: 190px !important;
    /*padding: 0px !important;*/
    height: 54px;
    border-radius: 50px !important;
    font-size: 18px !important;
    font-weight: 500;
    text-transform: none !important;
    font-family: 'Ubuntu-Medium' !important;
    letter-spacing: 0px;
}

.mainContentHolderAreaReservada .mdc-button--raised {
    padding: 0px 16px !important;
    border-radius: 50px !important;
    font-size: 15px !important;
    min-width: max-content !important;
    font-weight: 600 !important;
    text-transform: none !important;
    font-family: 'Ubuntu-Medium' !important;
    letter-spacing: normal;
    height: 36px;
}

.mainContentHolderAreaReservada .mdc-button--raised .mdc-button__ripple {
    border-radius: 50px !important;
}

.mdc-button--raised .mdc-button__ripple {
    border-radius: 50px !important;
}

.mdc-button--raised .mdc-button__ripple::before, .mdc-button--raised .mdc-button__ripple::after {
    background-color: var(--my-color-ripple) !important;
}

/*button spinner*/
.mdc-button .spinner-border {
    margin-left: 10px;
    display: none;
}

.mdc-button.loading .spinner-border {
    display: block;
}

/*Dark Mode*/

.dark-mode .mdc-button {
    background-color: var(--primary) !important;
    color: var(--lightMode40) !important;
}

.dark-mode .mdc-button__icon {
    fill: var(--primary) !important;
}

.dark-mode .mdc-button--raised .mdc-button__ripple::before, .dark-mode .mdc-button--raised .mdc-button__ripple::after {
    background-color: var(--secondary) !important;
}

.dark-mode .mdc-button__icon {
    fill: var(--secondary) !important;
}

.mdc-button--raised:hover {
    box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2), 0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, .12) !important;
}